Bug 44098 - RPM 4.0.2 Segmentation Fault
RPM 4.0.2 Segmentation Fault
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-11 00:07 EDT by Christian Guers
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-14 10:34:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Guers 2001-06-11 00:07:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98; [en] LMCO-IBS 
NAD v1.5 128-bit)

Description of problem:
Upgraded to RPM 4.0.2, did not know I had to --rebuilddb, installed more 
packages after that and started getting seg faults... even when 
performing --rebuilddb.

How reproducible:
Always

Steps to Reproduce:
1. upgrade, via red-carpet, to newer version of RPM (to 4.0.2)
2. keep using red-carpet to upgrade other packages
3. rpm -qa causes segmentation fault after listing most/all packages
4. rpm -qa causes segmentation fault after processing for a few minutes.
	

Actual Results:  Segmentiaton Fault

Additional info:

I have a PII/233 64Mb, RH6.2 with Ximian 1.4 (which includes red-carpet 
updater).
Comment 1 Jeff Johnson 2001-06-14 10:34:16 EDT
Can you attach a pointer (i.e. URL) to a tar ball of your datbase?
	cd /var/lib
	tar czvf /tmp/rpmdb-44098.tar.gz ./rpm
as bugzilla attachments have an upper limit too small fro
rpm databases. Thanks.

You might first try a --rebuildb with a recent (rpm-4.0.3-0.37 is
latest) version of rpm from Raw Hide, as many of the db1 corruption
problems are fixed there.
Comment 2 Jeff Johnson 2002-06-21 15:47:02 EDT
Closed for lack of input.

Note You need to log in before you can comment on or make changes to this bug.